<form class="example-form" flex-gt-sm>
  <img
    *ngIf="selected != null"
    class="example-option-img"
    aria-hidden
    [src]="selected.flagSVG"
    height="10"
  />
  <mat-form-field class="example-full-width">
    <mat-label>Language </mat-label>
    <input
      matInput
      placeholder="{{ selected != null ? selected.name : 'Country' }}"
      aria-label="Country"
      [matAutocomplete]="auto"
      [formControl]="stateCtrl"
    />

    <mat-autocomplete #auto="matAutocomplete">
      <mat-option
        (click)="onChangeCountries()"
        *ngFor="let state of filteredStates | async"
        [value]="state.name"
      >
        <img
          class="example-option-img-dropdown"
          aria-hidden
          [src]="state.flagSVG"
          height="25"
        />
        <span>{{ state.name }}</span> |
        <small> {{ state.nativeName }}</small>
      </mat-option>
    </mat-autocomplete>
  </mat-form-field>
</form>
